This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 734628 - Some cities and countries are missing in PO file
Some cities and countries are missing in PO file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-date (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: i18n, Translation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-30 21:05 EDT by Noriko Mizumoto
Modified: 2012-12-10 11:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-10 11:58:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Noriko Mizumoto 2011-08-30 21:05:01 EDT
Description of problem:
In time zone configuration;
'Ulaanbaatar' appears under Asia section, but no such string in PO file.
There is no country 'Japan' under Asia, but 'Tokyo (translated in 東京)' exists directly under Asia. 

Version-Release number of selected component (if applicable):
http://dl.fedoraproject.org/pub/alt/stage/f16-translation/
Fedora-16-Nightly-20110828.10-x86_64-Live-desktop.iso
Language selection is ja-JP

How reproducible:
always

Steps to Reproduce:
1. Issue the command system-config-date
2.
3.
  
Actual results:
Many strings to be translated are missing from PO file

Expected results:
Those strings should be available in PO file.

Additional info:
Comment 1 A S Alam 2011-08-30 22:39:14 EDT
tzdata-2011h-2.fc16.noarch
system-config-date-1.9.64-1.fc16.noarch
Comment 2 Nils Philippsen 2011-08-31 04:38:14 EDT
Aleš Kozumplík notified me yesterday that transifex.net didn't have PO files for time zones. Meanwhile I've added a resource for them at https://www.transifex.net/projects/p/system-config-date/resource/timezones_master/ and uploaded the files so they can be translated.

I'll wait with building new package versions until the translations have come in.
Comment 3 Nils Philippsen 2011-09-01 11:55:09 EDT
(In reply to comment #0)
> Description of problem:
> In time zone configuration;
> 'Ulaanbaatar' appears under Asia section, but no such string in PO file.
> There is no country 'Japan' under Asia, but 'Tokyo (translated in 東京)' exists
> directly under Asia. 

I've checked things more thoroughly now and found that Ulaanbaatar is indeed translated in the Japanese PO file:

nils@f16:~> msgunfmt /usr/share/locale/ja/LC_MESSAGES/system-config-date.mo | grep -A1 Ulaanbaatar
msgid "Asia/Ulaanbaatar"
msgstr "アジア/ウランバートル"

Then, "Japan" isn't supposed to be under "Asia", the scheme is either <continent>/<city> or <continent>/<region>/<city> (though the latter is only used in America for Argentina, Indiana, Kentucky and North Dakota). So "Asia/Tokyo" is quite correct.

I'll leave this bug open to track progress the few new time zones that came about between the migration to transifex.net and now.
Comment 4 Nils Philippsen 2012-12-10 11:58:31 EST
Closing as the migration is long gone.

Note You need to log in before you can comment on or make changes to this bug.